<?php

/*
////////////////////////////////////////////////////////////////////////////////
// JohnCMS                             Content Management System              //
// Официальный сайт сайт проекта:      http://johncms.com                     //
// Дополнительный сайт поддержки:      http://gazenwagen.com                  //
////////////////////////////////////////////////////////////////////////////////
// JohnCMS core team:                                                         //
// Евгений Рябинин aka john77          john77@gazenwagen.com                  //
// Олег Касьянов aka AlkatraZ          alkatraz@gazenwagen.com                //
//                                                                            //
// Информацию о версиях смотрите в прилагаемом файле version.txt              //
////////////////////////////////////////////////////////////////////////////////
*/

defined('_IN_JOHNCMS') or die('Error: restricted access');

if ($id) {
  /*
  -----------------------------------------------------------------
  Отображение Онлайн комнаты
  -----------------------------------------------------------------
  */ 
  // Получаем данные комнаты
  $k_d = mysql_fetch_assoc(mysql_query("SELECT `name`, `tip` FROM `chat_rooms` WHERE `id` = '" . $id . "'"));
  echo '<div class="phdr"><b>Кто в комнате:</b> <a href="index.php?id=' . $id . '">' . $k_d['name'] . '</a></div>';
  // Получаем общее количество пользоватей в комнате
  $total = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `lastdate` >= '" . ($realtime - 300) . "' AND `place` = 'chat," . $id . "'"), 0);
  if ($total) {
    // Получаем список пользователей в комнате
    $q = mysql_query("SELECT * FROM `users` WHERE `lastdate` >= '" . ($realtime - 300) . "' AND `place` = 'chat," . $id . "' LIMIT $start, $kmess"); 
    while ($arr = mysql_fetch_array($q)) {
      echo is_integer($i / 2) ? '<div class="list1">' : '<div class="list2">';
      // Выбираем тип отображения данных, пользователь или аноним
      if ($k_d['tip'] != 'an' || $k_d['tip'] == 'an' && ($rights == 2 || $rights >= 6)) {
        echo show_user($arr) . '</div>';
      } else {
        // Открываем таблицу с данными анонима
        if ($set_user['avatar']) {
          echo '<table cellpadding="0" cellspacing="0"><tr><td>';
          echo '<img src="../images/empty.png" width="32" height="32" alt=""/>&#160;';
          echo '</td><td>';
        }
        echo '<img src="../theme/' . $set_user['skin'] . '/images/' . ($arr['sex'] == 'm' ? 'm' : 'w') . ($arr['datereg'] > $realtime - 86400 ? '_new' : '') . '.png" width="16" height="16" align="middle" />&#160;';
        echo '<b>Аноним</b>&#160;';
        // Метка Онлайн
        echo '<span class="green">[ON]</span>';
        // Закрываем таблицу с данными
        if ($set_user['avatar'])
          echo '</td></tr></table>';
        echo '</div>';
      }
     ++$i;
    }
  } else {
    echo '<div class="menu"><p>Никого нет</p></div>';
  }
} else {
  /*
  -----------------------------------------------------------------
  Отображение Онлайн чата
  -----------------------------------------------------------------
  */ 
  echo '<div class="phdr"><a href="index.php"><b>Чат</b></a> | Кто в чате</div>';
  // Получаем общее количество пользоватей в чате
  $total = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `lastdate` >= '" . ($realtime - 300) . "' AND `place` LIKE 'chat%'"), 0);
  if ($total) {
    // Получаем список пользователей в чате
    $q1 = mysql_query("SELECT * FROM `users` WHERE `lastdate` >= '" . ($realtime - 300) . "' AND `place` LIKE 'chat%' LIMIT $start, $kmess");
    $i = 0;
    while ($arr1 = mysql_fetch_array($q1)) {
      // Вычисляем местоположение
      $place = '';
      $tip = '';
      switch ($arr1['place']) {
        case 'chat':
          $place = '<a href="index.php">В прихожей</a>';
         break;

        case 'chatwho':
          $place = 'Тут, в списке';
         break;

        case 'chatfaq':
          $place = '<a href="index.php?act=faq">Читает правила чата</a>';
         break;

        case 'chatmoders':
          $place = '<a href="index.php?act=moders">Смотрит список модеров</a>';
         break;

        case 'chatset':
          $place = '<a href="index.php?act=my_set">В настройках чата</a>';
         break;

        case 'chattop':
          $place = '<a href="top.php">Смотрит топ чата</a>';
         break;

        default:
          $where = explode(",", $arr1['place']);
          if ($where[0] == 'chat' && intval($where[1])) {                       
            // Получаем данные комнаты по её идентификатору
            $room = mysql_fetch_array(mysql_query("SELECT * FROM `chat_rooms` WHERE `id` = '" . $where[1] . "'")); 
            $place = 'В комнате &quot;<a href="index.php?id='.$where[1].'">' .  $room['name'] . '</a>&quot;';      
            $tip = $room['tip'];
          }
        }
        echo is_integer($i / 2) ? '<div class="list1">' : '<div class="list2">';
        // Выбираем тип отображения данных, пользователь или аноним
        if ($tip != 'an' || $tip == 'an' && ($rights == 2 || $rights >= 6)) {
          echo show_user($arr1, 1, (($rights >= 1 && $rights >= $arr1['rights']) ? 1 : 0), '<br /><img src="../images/info.png" width="16" height="16" align="middle" />&#160;' . $place);
          echo '</div>';
        } else {
          // Открываем таблицу с данными анонима
          if ($set_user['avatar']) {
            echo '<table cellpadding="0" cellspacing="0"><tr><td>';
            echo '<img src="../images/empty.png" width="32" height="32" alt="" />&#160;';
            echo '</td><td>';
          }
          // Метка пола
          echo '<img src="../theme/' . $set_user['skin'] . '/images/' . ($arr1['sex'] == 'm' ? 'm' : 'w') . ($arr1['datereg'] > $realtime - 86400 ? '_new' : '') . '.png" width="16" height="16" align="middle" />&#160;';
          echo '<b>Аноним</b>&#160;';
          // Метка Онлайн
          echo '<span class="green">[ON]</span>';
          echo '<br /><img src="../images/info.png" width="16" height="16" align="middle"/>&#160;' . $place;
          // Закрываем таблицу с данными
          if ($set_user['avatar'])
            echo '</td></tr></table>';
          echo '</div>';
        }   
       ++$i;
    }
  } else {
    echo '<div class="menu"><p>Никого нет</p></div>';
  }
}
echo '<div class="phdr">Всего: <b>'.$total.'</b></div>';
// Постраничная навигация
if ($total > $kmess) {
  echo '<p>' . pagenav('index.php?act=who&amp;'.($id ? 'id='.$id.'&amp;' : ''), $start, $total, $kmess) . '</p>';
  echo '<p><form action="index.php?act=who'.($id ? '&amp;id='.$id.'' : '').'" method="post">
<input type="text" name="page" size="2"/>
<input type="submit" value="К странице &gt;&gt;"/></form></p>';
}
echo '<p><a href="index.php">В чат</a></p>';

?>